import { FC } from 'react'
import ContextBlueTooth from "@/use/contextBlueTooth"
import { Provider } from 'react-redux'
import configStore from './store'

import './app.scss'
import { useShareAppMessage } from '@tarojs/taro'
import { useSelector } from './reducers/hooks'

const store = configStore()
const App:FC = ({children}) => {
  //转发分享
  // const userObj = useSelector(state => state.userInfo)
  useShareAppMessage(res => {
    return {
      title: '电子商城',
      path: `/pages/details/index`,
      imageUrl:'',
    }
  })

  return (
        <ContextBlueTooth>
          <Provider store={store}>
            {children}
          </Provider>
        </ContextBlueTooth>
  )
}

export default App